# RestrictedChatMember - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.ChatMember / RestrictedChatMember

# RestrictedChatMember

(common) `data class RestrictedChatMember : BannedChatMember, SpecialRightsChatMember` (source)

### Constructors

(common)

#### <init>

`RestrictedChatMember(user: User, untilDate: TelegramDate?, isMember: Boolean, canSendMessages: Boolean, canSendMediaMessages: Boolean, canSendPolls: Boolean, canSendOtherMessages: Boolean, canAddWebpagePreviews: Boolean, canChangeInfo: Boolean, canInviteUsers: Boolean, canPinMessages: Boolean)`

### Properties

(common)

#### canAddWebpagePreviews

`val canAddWebpagePreviews: Boolean`

(common)

#### canChangeInfo

`val canChangeInfo: Boolean`

(common)

#### canInviteUsers

`val canInviteUsers: Boolean`

(common)

#### canPinMessages

`val canPinMessages: Boolean`

(common)

#### canSendMediaMessages

`val canSendMediaMessages: Boolean`

(common)

#### canSendMessages

`val canSendMessages: Boolean`

(common)

#### canSendOtherMessages

`val canSendOtherMessages: Boolean`

(common)

#### canSendPolls

`val canSendPolls: Boolean`

(common)

#### isMember

`val isMember: Boolean`

(common)

#### untilDate

`val untilDate: TelegramDate?`

(common)

#### user

`val user: User`